- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_UIPMC_Connection_Handler Class Reference

Handles requests on a single connection. More...

`#include <UIPMC_Connection_Handler.h>`

Inheritance diagram for TAO_UIPMC_Connection_Handler:

[legend]
Collaboration diagram for TAO_UIPMC_Connection_Handler:

[legend]
List of all members.

## Public Member Functions
| TAO_UIPMC_Connection_Handler (ACE_Thread_Manager *t=0)
| TAO_UIPMC_Connection_Handler (TAO_ORB_Core *orb_core)
| ~TAO_UIPMC_Connection_Handler (void)
| Destructor.
virtual int | open_server (void)
int | close (u_long=0)
int | add_transport_to_cache (void)
| Add ourselves to Cache.
ACE_HANDLE | get_handle (void) const
const ACE_INET_Addr & | addr (void)
void | addr (const ACE_INET_Addr &addr)
const ACE_INET_Addr & | local_addr (void)
void | local_addr (const ACE_INET_Addr &addr)
const ACE_INET_Addr & | server_addr (void)
void | server_addr (const ACE_INET_Addr &addr)
const ACE_SOCK_Dgram & | dgram (void)
const ACE_SOCK_Dgram_Mcast & | mcast_dgram (void)
Connection Handler overloads
virtual int | open_handler (void *v)
Event Handler overloads
virtual int | resume_handler (void)
virtual int | close_connection (void)
virtual int | handle_input (ACE_HANDLE)
virtual int | handle_output (ACE_HANDLE)
virtual int | handle_close (ACE_HANDLE, ACE_Reactor_Mask)
virtual int | handle_timeout (const ACE_Time_Value &current_time, const void *act=0)
virtual int | open (void *)
## Protected Member Functions
TAO_Connection Handler overloads
virtual int | release_os_resources (void)
## Protected Attributes
ACE_SOCK_Dgram | udp_socket_
| Client side UDP socket (send only).
ACE_SOCK_Dgram_Mcast | mcast_socket_
| Server side Mcast UDP socket (receive only).
CORBA::Boolean | using_mcast_
| Flag that specifies whether multicast is in use or not.
ACE_INET_Addr | addr_
ACE_INET_Addr | local_addr_

## Detailed Description

Handles requests on a single connection.

The Connection handler which is common for the Acceptor and the Connector

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_UIPMC_Connection_Handler::TAO_UIPMC_Connection_Handler | ( | ACE_Thread_Manager * | t = `0` | ) |

TAO_UIPMC_Connection_Handler::TAO_UIPMC_Connection_Handler | ( | TAO_ORB_Core * | orb_core | ) |

Constructor. <arg> parameter is used by the Acceptor to pass the protocol configuration properties for this connection.

TAO_UIPMC_Connection_Handler::~TAO_UIPMC_Connection_Handler | ( | void |  | ) |

Destructor.

## Member Function Documentation

int TAO_UIPMC_Connection_Handler::add_transport_to_cache | ( | void |  | ) |

Add ourselves to Cache.

void TAO_UIPMC_Connection_Handler::addr | ( | const ACE_INET_Addr & | addr | ) |

const ACE_INET_Addr & TAO_UIPMC_Connection_Handler::addr | ( | void |  | ) |

int TAO_UIPMC_Connection_Handler::close | ( | u_long | = `0` | ) | `[virtual]`

Close called by the Acceptor or Connector when connection establishment fails.

Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_UIPMC_Connection_Handler::close_connection | ( | void |  | ) | `[virtual]`

Implements TAO_Connection_Handler.

const ACE_SOCK_Dgram & TAO_UIPMC_Connection_Handler::dgram | ( | void |  | ) |

ACE_HANDLE TAO_UIPMC_Connection_Handler::get_handle | ( | void |  | ) | const`[virtual]`

Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_UIPMC_Connection_Handler::handle_close | ( | ACE_HANDLE | ,
|  | ACE_Reactor_Mask |  |
| ) |  |  | `[virtual]`

Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_UIPMC_Connection_Handler::handle_input | ( | ACE_HANDLE |  | ) | `[virtual]`

Implements TAO_Connection_Handler.

int TAO_UIPMC_Connection_Handler::handle_output | ( | ACE_HANDLE |  | ) | `[virtual]`

Reimplemented from ACE_Event_Handler.

int TAO_UIPMC_Connection_Handler::handle_timeout | ( | const ACE_Time_Value & | current_time,
|  | const void * | act = `0` |
| ) |  |  | `[virtual]`

Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

void TAO_UIPMC_Connection_Handler::local_addr | ( | const ACE_INET_Addr & | addr | ) |

const ACE_INET_Addr & TAO_UIPMC_Connection_Handler::local_addr | ( | void |  | ) |

const ACE_SOCK_Dgram_Mcast & TAO_UIPMC_Connection_Handler::mcast_dgram | ( | void |  | ) |

int TAO_UIPMC_Connection_Handler::open | ( | void * |  | ) | `[virtual]`

Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_UIPMC_Connection_Handler::open_handler | ( | void * | v | ) | `[virtual]`

Implements TAO_Connection_Handler.

int TAO_UIPMC_Connection_Handler::open_server | ( | void |  | ) | `[virtual]`

int TAO_UIPMC_Connection_Handler::release_os_resources | ( | void |  | ) | `[protected, virtual]`

Reimplemented from TAO_Connection_Handler.

int TAO_UIPMC_Connection_Handler::resume_handler | ( | void |  | ) | `[virtual]`

Reimplemented from ACE_Event_Handler.

void TAO_UIPMC_Connection_Handler::server_addr | ( | const ACE_INET_Addr & | addr | ) |

const ACE_INET_Addr& TAO_UIPMC_Connection_Handler::server_addr | ( | void |  | ) |

## Member Data Documentation

ACE_INET_Addr TAO_UIPMC_Connection_Handler::addr_`[protected]`

ACE_INET_Addr TAO_UIPMC_Connection_Handler::local_addr_`[protected]`

ACE_SOCK_Dgram_Mcast TAO_UIPMC_Connection_Handler::mcast_socket_`[protected]`

Server side Mcast UDP socket (receive only).

ACE_SOCK_Dgram TAO_UIPMC_Connection_Handler::udp_socket_`[protected]`

Client side UDP socket (send only).

CORBA::Boolean TAO_UIPMC_Connection_Handler::using_mcast_`[protected]`

Flag that specifies whether multicast is in use or not.

The documentation for this class was generated from the following files:

- UIPMC_Connection_Handler.h
- UIPMC_Connection_Handler.cpp